GET https://api.cryptohopper.com/v1/market/giftcards/user

Returns the custom gift cards you created, sorted by number of sales.

OAuth scope: read manage About scopes

Example request

curl "https://api.cryptohopper.com/v1/market/giftcards/user" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Response

Example response (illustrative values)

{
    "data": [
        {
            "id": "12",
            "giftcard_name": "Cryptohopper credits 50",
            "giftcard_image": "https://cdn.cryptohopper.com/images/giftcards/templates/credits.png",
            "giftcard_type": "credits",
            "giftcard_value": "50.00",
            "plan_id": "0",
            "marketplace_id": "0",
            "currency": "USD",
            "price": "50.00",
            "created": "2025-12-01 10:00:00",
            "updated": "2025-12-01 10:00:00"
        }
    ]
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.